Show / Hide Table of Contents

# Class RestGroupUser

Represents a REST-based group user.

##### Inheritance

System.Object
RestEntity<System.UInt64>
RestUser
RestGroupUser

##### Implements

IUpdateable
IGroupUser
IUser
ISnowflakeEntity
IEntity<System.UInt64>
IMentionable
IPresence
IVoiceState

##### Inherited Members

RestUser.IsBot
RestUser.Username
RestUser.DiscriminatorValue
RestUser.AvatarId
RestUser.CreatedAt
RestUser.Discriminator
RestUser.Mention
RestUser.Activity
RestUser.Status
RestUser.ActiveClients
RestUser.IsWebhook
RestUser.UpdateAsync(RequestOptions)
RestUser.GetOrCreateDMChannelAsync(RequestOptions)
RestUser.GetAvatarUrl(ImageFormat, UInt16)
RestUser.GetDefaultAvatarUrl()
RestUser.ToString()
RestUser.IUser.GetOrCreateDMChannelAsync(RequestOptions)
RestEntity<UInt64>.Id
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RestGroupUser : RestUser, IUpdateable, IGroupUser, IUser, ISnowflakeEntity, IEntity<ulong>, IMentionable, IPresence, IVoiceState

### Explicit Interface Implementations

| Improve this Doc View Source

#### IVoiceState.IsDeafened

Gets a value that indicates whether this user is deafened by the guild.

##### Declaration

    bool IVoiceState.IsDeafened { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the user is deafened (i.e. not permitted to listen to or speak to others) by the guild; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsMuted

Gets a value that indicates whether this user is muted (i.e. not permitted to speak via voice) by the guild.

##### Declaration

    bool IVoiceState.IsMuted { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this user is muted by the guild; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsSelfDeafened

Gets a value that indicates whether this user has marked themselves as deafened.

##### Declaration

    bool IVoiceState.IsSelfDeafened { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this user has deafened themselves (i.e. not permitted to listen to or speak to others); otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsSelfMuted

Gets a value that indicates whether this user has marked themselves as muted (i.e. not permitted to speak via voice).

##### Declaration

    bool IVoiceState.IsSelfMuted { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if this user has muted themselves; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsStreaming

Gets a value that indicates if this user is streaming in a voice channel.

##### Declaration

    bool IVoiceState.IsStreaming { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the user is streaming; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.IsSuppressed

Gets a value that indicates whether the user is muted by the current user.

##### Declaration

    bool IVoiceState.IsSuppressed { get; }

##### Returns

Type | Description
--- | ---
System.Boolean | `true` if the guild is temporarily blocking audio to/from this user; otherwise `false`.

| Improve this Doc View Source

#### IVoiceState.VoiceChannel

Gets the voice channel this user is currently in.

##### Declaration

    IVoiceChannel IVoiceState.VoiceChannel { get; }

##### Returns

Type | Description
--- | ---
IVoiceChannel | A generic voice channel object representing the voice channel that the user is currently in; `null` if none.

| Improve this Doc View Source

#### IVoiceState.VoiceSessionId

Gets the unique identifier for this user's voice session.

##### Declaration

    string IVoiceState.VoiceSessionId { get; }

##### Returns

Type | Description
--- | ---
System.String |

### Implements

IUpdateable
IGroupUser
IUser
ISnowflakeEntity
IEntity<TId>
IMentionable
IPresence
IVoiceState